org.optaplanner.core.impl.score.stream.bavet

## Class BavetConstraintSessionFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintSessionFactory<Solution_>
  - - org.optaplanner.core.impl.score.stream.bavet.BavetConstraintSessionFactory<Solution_>

- All Implemented Interfaces:
    ConstraintSessionFactory<Solution_>

      public final class BavetConstraintSessionFactory<Solution_>
      extends AbstractConstraintSessionFactory<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetConstraintSessionFactory(SolutionDescriptor<Solution_> solutionDescriptor, List<BavetConstraint<Solution_>> constraintList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintSession<Solution_>` | `buildSession(boolean constraintMatchEnabled, Solution_ workingSolution)` This method is thread-safe.

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintSessionFactory

      `getScoreDefinition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetConstraintSessionFactory

          public BavetConstraintSessionFactory(SolutionDescriptor<Solution_> solutionDescriptor,
                                               List<BavetConstraint<Solution_>> constraintList)

  - ### Method Detail

    - #### buildSession

          public ConstraintSession<Solution_> buildSession(boolean constraintMatchEnabled,
                                                           Solution_ workingSolution)

      Description copied from interface: `ConstraintSessionFactory`
      This method is thread-safe.
      Parameters:
        `constraintMatchEnabled` - true if `ScoreDirector.isConstraintMatchEnabled()` should be true
        `workingSolution` - if null, uniform synthetic constraint weights will be applied
      Returns:
        never null

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.